0
$\begingroup$

Rosanswers logo

I recently installed groovy and I am trying to configure my installation, I have sourced the setup.bash file however when trying to configure my catkin workspace gives me error. When I try catkin_make inside catkin_ws, I get the following error;

Traceback (most recent call last):
  File "/opt/ros/groovy/bin/catkin_make", line 19, in <module>
    from catkin.init_workspace import init_workspace
ImportError: No module named init_workspace

Any help folks ? If rosbuild was available on groovy - I guess I would have gladly used that.


Originally posted by Arkapravo on ROS Answers with karma: 1108 on 2013-01-02

Post score: 2


Original comments

Comment by Dirk Thomas on 2013-01-02:
By the way a lot of packages are still using rosbuild in groovy.

Comment by Arkapravo on 2013-01-02:
@Dirk Thomas So ! catkin is not essential for groovy -- I CAN use rosbuild ?

Comment by joq on 2013-01-03:
Yes, rosbuild works fine with groovy.

Comment by Arkapravo on 2013-01-03:
@joq Thank you !

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

You have likely another version of catkin on your PYTHONPATH i.e. from Fuerte. You should retry it from a "clean" shell without sourcing Fuerte before (or in your bashrc).


Originally posted by Dirk Thomas with karma: 16276 on 2013-01-02

This answer was ACCEPTED on the original site

Post score: 2


Original comments

Comment by Arkapravo on 2013-01-02:
@Dirk Thomas YES ! You are right -- I had sourced Morse into my ROS Fuerte using another PYTHONPATH -- I have rectified my .bashrc -- everything is cool now !!!!

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.